function [] = dbLineSearch(z, y, yExpected, a, b, gamma, X, mu, nu, GXTP, params)  
%%% DEBUG DE LA LINE SEARCH
    f1 = [];    
    gams  = logspace(-8, 0, 50);
    figure(1)
    clf()
    for t = 1:length(gams)
    
        yTemp = updateY(gams(t), y, b);
        zTemp = (1-gams(t)) * z + gams(t) * a;
        f1(t) = computeObjective(X, zTemp, yTemp, yExpected, mu, nu, GXTP, params);
    
    end
    
    drawnow();
    plot(gams, f1);
    hold on
    y1=get(gca,'ylim');
    plot([gamma, gamma], y1', 'r');
    drawnow()
    % gamma = 2/(i+2);
    % updating z and y
   
    